Skip to main content
PATCH
Move or mark a conversation

Authorizations

Authorization
string
header
required

Agent token (alt_…) or OAuth access token; bound to one agent

Path Parameters

threadId
string
required

Thread id

Body

application/json
folder
enum<string>
Available options:
inbox,
archive,
trash,
spam
read
boolean

Mark the agent's read state; members keep their own in the dashboard

labels
string[]

Replace the conversation's labels

Maximum array length: 20
Maximum string length: 40
add_labels
string[]
Maximum array length: 20
Maximum string length: 40
remove_labels
string[]
Maximum array length: 20
Maximum string length: 40

Response

Thread state

thread_id
string
required
folder
enum<string>
required
Available options:
inbox,
archive,
trash,
spam,
quarantine
read_side
string
required
read_at
string<date-time> | null
required
agent_read_at
string<date-time> | null
required
member_read_at
string<date-time> | null
required
labels
string[]
required